import { z } from "zod";
export declare const PluginInvocationSchema: z.ZodObject<{
    name: z.ZodString;
    version: z.ZodString;
    output: z.ZodOptional<z.ZodString>;
    config: z.ZodUnknown;
    helpers: z.ZodOptional<z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "strict", z.ZodTypeAny, {
        name: string;
        version: string;
    }, {
        name: string;
        version: string;
    }>, "many">>;
}, "strict", z.ZodTypeAny, {
    output?: string | undefined;
    config?: unknown;
    helpers?: {
        name: string;
        version: string;
    }[] | undefined;
    name: string;
    version: string;
}, {
    output?: string | undefined;
    config?: unknown;
    helpers?: {
        name: string;
        version: string;
    }[] | undefined;
    name: string;
    version: string;
}>;
export declare type PluginInvocationSchema = z.infer<typeof PluginInvocationSchema>;
